- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.QueryUrlVisitsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryUrlVisits#try-it)

Returns a high-level summary of URL visits for a given customer.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:queryUrlVisits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID in the format "customers/{customer_id}". |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. The filter to apply to the request. For syntax, see AIP-160. Data is not available for events older than 180 days, and may be unavailable or inaccurate for time ranges less than 4 hours. If `event_time` is not specified, results will be returned for the last 30 days. Supported fields for filtering: - `event_time` Supported operators: - `>=` and `<=` for `event_time` Supported conjunctions: - `AND` Example: `event_time >= "2024-01-01T00:00:00Z" AND event_time <= "2024-01-02T00:00:00Z"` |

### Request body

The request body must be empty.

### Response body

Response message for securityInsights.queryUrlVisits.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "summaries": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/UrlVisitsSummary`) } ] } ``` |

| Fields ||
|---|---|
| `summaries[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/UrlVisitsSummary`)`` A collection of summaries for various URL visit metrics. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chrome.management.securityinsights.readonly`
- `https://www.googleapis.com/auth/chrome.management.securityinsights`